//
//  MWBindableShadow.h
//  Malkinware
//
//  Created by Jim McGowan on 19/12/2009.
//  Copyright 2009 Jim McGowan. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "MWVector.h"


@interface MWBindableShadow : NSShadow 

/* wrappers for super's getters/setters */
@property (assign) NSSize shadowOffset;
@property (assign) CGFloat shadowBlurRadius;
@property (copy) NSColor *shadowColor;

/* derived properties for UI binding */
@property (assign) CGFloat offsetMagnitude;
@property (assign) CGFloat offsetAngle;
@property (assign) CGFloat shadowColorAlphaComponent;

@end
