//
//  MWRoundedRectView.h
//  Malkinware
//
//  Created by Jim McGowan on 27/8/12.
//  Copyright (c) 2012 Jim McGowan. All rights reserved.
//

#import <Malkinware/Malkinware.h>

IB_DESIGNABLE
@interface MWRoundedRectView : MWColoredView

- (instancetype)initWithFrame:(NSRect)frameRect xCornerRadius:(CGFloat)xRadius yCornerRadius:(CGFloat)yRadius;

@property IBInspectable CGFloat xCornerRadius;
@property IBInspectable CGFloat yCornerRadius;

@end
